/*
 *  eShutterSDKDatatypes.h
 *  eShutterSDK
 *
 *  Created by Martin Widmann on 02.03.12.
 *  Copyright 2012 Sinar Photography AG. All rights reserved.
 *
 */

#ifndef eShutterSDKDatatypes
#define eShutterSDKDatatypes

typedef unsigned int Bool;

#ifndef TRUE
#define TRUE 1
#endif

#ifndef FALSE
#define FALSE 0
#endif		

#define  F_ComInfo                     0  // Infos über Version etc.
#define  F_ComStandard                 1  // Dauernd kommuniziertes Protokoll
#define  F_ComWriteSetup               2  // Setupdaten schreiben
#define  F_ComReadSetup                3  // Setupdaten lesen
#define  F_ComWriteLUT                 4  // Blenden-LUT schreiben
#define  F_ComReadLUT                  5  // Blenden-LUT lesen

#define  F_ComResetCounterVerschluss  10  // ACK-Antwort ohne Daten
#define  F_ComResetCounterBlende      11  // ACK-Antwort ohne Daten

#define  C_ErrorFunction             101  // Falsche Funktion
#define  C_ErrorCounts               102  // Anzahl Daten falsch
#define  C_ErrorCS                   103  // Falsche Checksumme
#define  C_ErrorDaten                104  // Daten ausserhalb Grenzen
/**
 Possible return values
 All command return an unsigned int value which is one of the 
 possible values of ESDKResult
 */

enum ESDKResult
{
	ESDK_Ok = 0,
	ESDK_ParameterError,
	ESDK_BufferNotSet,
	ESDK_BufferSizeNotSet,
	ESDK_NoConnection,
	ESDK_IndexOutOfBounds,
	ESDK_CommunicationFailed,
	ESDK_GeneralFailure,
	ESDK_AlreadyConnected,
	ESDK_InitMissing
};

/**
 All two-state parameters are handled with Bool.
 Flash is a three-state parameter. Therefore this is an enum with the possible values.
 */

enum ESDKFlashMode {
	ESDK_FlashOff = 0,
	ESDK_EarlyFlash,
	ESDK_LateFlash
};

#endif
